## FolksBackendStore

FolksBackendStore — Responsible for backend loading.

## Types and Values

#define | FOLKS_TYPE_BACKEND_STORE
struct | FolksBackendStore
struct | FolksBackendStoreClass

## Description

The BackendStore manages the set of available Folks backends. The ``folks_backend_store_load_backends()`` function loads all compatible and enabled backends and the "backend-available" signal notifies when these backends are ready.

## Functions

## Types and Values

### FOLKS_TYPE_BACKEND_STORE

    #define FOLKS_TYPE_BACKEND_STORE (folks_backend_store_get_type ())

The type for FolksBackendStore.

### struct FolksBackendStore

    struct FolksBackendStore {
    	GObject parent_instance;
    	FolksBackendStorePrivate * priv;
    };

Responsible for backend loading.

The BackendStore manages the set of available Folks backends. The ``folks_backend_store_load_backends()`` function loads all compatible and enabled backends and the "backend-available" signal notifies when these backends are ready.

#### Members

FolksBackendStorePrivate *`priv`; |  |

### struct FolksBackendStoreClass

    struct FolksBackendStoreClass {
    	GObjectClass parent_class;
    };

The class structure for `FOLKS_TYPE_BACKEND_STORE`. All the fields in this structure are private and should never be accessed directly.

#### Members